Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
chaudinhphuc

Cần lisp để đưa các dim về nằm ngang bằng nhau (lệnh tắt BD)

Các bài được khuyến nghị

Mình cần lisp để đưa các dim về nằm ngang bằng nhau (lệnh tắt BD), tìm trên mạng nhưng chưa thấy lisp này. Anh em nhiệt tình giúp đỡ nhé.

 

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
trumlenmang    29

Mình cần lisp để đưa các dim về nằm ngang bằng nhau (lệnh tắt BD), tìm trên mạng nhưng chưa thấy lisp này. Anh em nhiệt tình giúp đỡ nhé.

Có phải ý bạn giống lệnh DIMSPACE ko? DIMSPACE ->chọn dim đầu tiên sẽ làm chuẩn, chọn tất cả dim còn lại sẽ dóng thẳng hàng theo->enter->nhập giá trị 0. Nếu bạn nhập 100 thì các dim còn lại sẽ cách dim đầu tiên là 100. Hi vọng đúng ý bạn.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
quocmanh04tt    385

Có phải cái này không?

(defun C:BD (/ CMD SS LTH DEM PT DS KDL N70 GOCX GOCY PT13 PT14 PTI PT10 PT10I PT10N O10 N10 PT11 PT11N O11 N11 KC OSM OLDERR *error* myerror)
(setq CMD (getvar "CMDECHO"))
(setq OSM (getvar "OSMODE"))
(defun myerror (s)
(cond ((= s "quit / exit abort") (princ))
((/= s "Function cancelled") (princ (strcat "\nError: " s))))
(setvar "cmdecho" CMD)
(setvar "osmode" OSM)
(setq *error* OLDERR)
(princ))
(setq OLDERR *error*
*error* myerror)
(princ "Please select dimension object!")
(setq SS (ssget))
(setvar "CMDECHO" 0)
(if (/= SS nil)
(progn (if (not (setq PT (getpoint "\nPoint to trim or extend: ")))
(exit))
(setq PT (trans PT 1 0))
(command "UCS" "W")
(setq LTH (sslength SS))
(setq DEM 0)
(while (< DEM LTH)
(progn (setq DS (entget (ssname SS DEM)))
(setq KDL (cdr (assoc 0 DS)))
(if (= "DIMENSION" KDL)
(progn (setq PT13 (cdr (assoc 13 DS)))
(setq PT14 (cdr (assoc 14 DS)))
(setq PT10 (cdr (assoc 10 DS)))
(setq PT11 (cdr (assoc 11 DS)))
(setq N70 (cdr (assoc 70 DS)))
(if (or (= N70 0) (= N70 32) (= N70 33) (= N70 160) (= N70 161))
(progn (setq GOCY (angle PT10 PT14)) (setq GOCX (+ GOCY (/ pi 2)))))
(setvar "OSMODE" 0)
(setq PTI (polar PT GOCX 2))
(setq PT10I (polar PT10 GOCY 2))
(setq PT10N (inters PT PTI PT10 PT10I NIL))
(setq KC (distance PT10 PT10N))
(setq O10 (assoc 10 DS))
(setq N10 (cons 10 PT10N))
(setq DS (subst N10 O10 DS))
(setq PT11N (polar PT11 (angle PT10 PT10N) KC))
(setq O11 (assoc 11 DS))
(setq N11 (cons 11 PT11N))
(setq DS (subst N11 O11 DS))
(entmod DS)))
(setq DEM (+ DEM 1))))
(command "UCS" "P")
(setvar "CMDECHO" CMD)
(setvar "OSMODE" OSM)
(setq *error* OLDERR))
(exit))
(princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có phải ý bạn giống lệnh DIMSPACE ko? DIMSPACE ->chọn dim đầu tiên sẽ làm chuẩn, chọn tất cả dim còn lại sẽ dóng thẳng hàng theo->enter->nhập giá trị 0. Nếu bạn nhập 100 thì các dim còn lại sẽ cách dim đầu tiên là 100. Hi vọng đúng ý bạn.

Chính xác rồi, đúng cái em cần, thank anh rất nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×